# Generated from asynk-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name asynk

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Async/sync inter sevrer communication tool
License: LGPL-3.0
URL: https://github.com/konalegi/asynk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.7
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.7.0
# BuildRequires: rubygem(rails) >= 4
# BuildRequires: rubygem(rails) < 5
BuildArch: noarch

%description
Async/sync inter sevrer communication tool, based on RabbitMQ and Celluloid.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/asynk
%{_bindir}/asynkctl
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_instdir}/consumer.rb
%{gem_libdir}
%{gem_instdir}/myapp
%{gem_instdir}/publisher.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/asynk.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
